Send a contract to the workflow engine and initiate a workflow
Authorization
basicAuth In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Data object representing the request body to be sent when creating / canceling a contract
Response Body
application/json
Callbacks
curl -X POST "https://example.com/api/admin/contracts" \ -H "Content-Type: application/json" \ -d '{ "payload": "string", "type": "string", "usernames": [ "string" ], "workflowId": "string" }'{ "callbackURL": "string", "childContracts": [ {} ], "date": "2019-08-24T14:15:22Z", "domainName": "string", "errors": [ { "code": "string", "data": "string", "date": "2019-08-24T14:15:22Z", "message": "string" } ], "expiresAt": "2019-08-24T14:15:22Z", "id": "string", "metaData": { "property1": "string", "property2": "string" }, "multiSignaturesWorkflowId": "string", "payload": "string", "responses": [ { "context": { "property1": "string", "property2": "string" }, "contractId": "string", "data": "string", "date": "2019-08-24T14:15:22Z", "domainName": "string", "id": "string", "rejectionMessage": "string", "response": "string", "signature": "string", "username": "string" } ], "state": "string", "type": "string", "usernames": [ "string" ], "workflowId": "string"}